# $Revision: 1.20 $, $Date: 2002/02/27 04:30:04 $
Summary:	Traces the route taken by packets over a TCP/IP network
Summary(de):	Verfolgt die Route von Paketen ber ein TCP/IP-Netzwerk
Summary(es):	Ensea la ruta que los paquetes usan a travs de una red TCP/IP
Summary(fr):	Dtermine le route emprunte par les paquets sur un rseau TCP/IP
Summary(pl):	Program do ledzenia trasy pakietw przez sie TCP/IP
Summary(pt_BR):	Mostra a rota que os pacotes usam atravs de uma rede TCP/IP
Summary(ru):	 ,      TCP/IP 
Summary(tr):	TCP/IP alarnda paketlerin rotasn izler
Summary(uk):	դ ,     TCP/IP ֦
Name:		traceroute
Version:	1.4a12
Release:	4
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.ee.lbl.gov/%{name}-%{version}.tar.gz
Source1:	%{name}.8.pl
Patch0:		%{name}-acfix.patch
Patch1:		%{name}-secfix.patch
Patch2:		%{name}-unaligned.patch
Patch3:		%{name}-autoroute.patch
Patch4:		%{name}-lsrr.patch
Patch5:		%{name}-droproot.patch
BuildRequires:	autoconf
Obsoletes:	traceroute-nanog
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host. Traceroute displays the
IP number and host name (if possible) of the machines along the route
taken by the packets. Traceroute is used as a network debugging tool.
If you're having network connectivity problems, traceroute will show
you where the trouble is coming from along the route.

%description -l de
Traceroute druckt die Route, die von den Paketen ber ein TCP/IP
eingeschlagen wird. Die Namen (bzw. die IP-Nummern, wenn keine Namen
verfgbar sind) der Maschinen, die beim Routing beteiligt sind,
angefangen vom Rechner, auf dem Tracerout luft, bis zum Ziel, werden
ausgedruckt, zusammen mit der Zeit bis zum Erhalt der
'Empfangsbesttigung'. Dieses Tool kann bei der Diagnose von
Netzwerkproblemen gute Dienste leisten.

%description -l es
Traceroute imprime la ruta que los paquetes hacen a travs de una red
TCP/IP. Son impresos los nombres (o nmeros de IP si los nombres no
estn disponibles) de las mquinas que estn en ruta en paquetes de la
mquina traceroute, junto con el tiempo que ha llevado para que la
mquina reciba el reconocimiento (ack) del paquete. Esta herramienta
puede ser muy til para diagnosticar problemas de red.

%description -l fr
traceroute affiche la route que les paquets prennent avec TCP/IP. Il
affiche les noms (ou les numros IP si les noms ne sont pas
disponibles) des machines qui routent les paquets de la machine sur
laquelle traceroute s'excute jusqu' la machine destination, ainsi
que le temps qu'il a fallu pour recevoir un accus reception de cette
machine. Cet outil est trs pratique pour diagnostiquer les problmes
rseau

%description -l pl
traceroute wywietla tras pakietw do podanego komputera.

%description -l pt_BR
Traceroute imprime a rota que os pacotes fazem atravs de uma rede
TCP/IP. So impressos os nomes (ou nmeros de IP se os nomes no
estiverem disponveis) das mquinas que esto roteando pacotes da
mquina traceroute, junto com o tempo que levou para a mquina receber
o reconhecimento (ack) do pacote. Esta ferramenta pode ser muito til
para diagnosticar problemas de rede.

%description -l ru
Traceroute  ,      TCP/IP. 
( IP-,   ) ,   
        , 
        
.         
.

%description -l tr
Traceroute, bir TCP/IP a boyunca paketlerin izledikleri rotann
dkmn karr. alt makineden hedef makineye kadar olan yol
boyunca paketleri ynlendiren her makinenin ismi (ya da IP
numaralar), bu makinelerden alnd bilgisinin alnmasna kadar geen
sreyle birlikte listelenir. A sorunlarnn belirlenmesinde olduka
yardmc olabilir.

%description -l ru
Traceroute  ,      TCP/IP. 
( IP-,   ) ,   
        , 
        
.         
.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
#%patch5 -p1

%build
autoconf
CFLAGS="%{rpmcflags} -DHAVE_IFF_LOOPBACK -DUSE_KERNEL_ROUTING_TABLE"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/{,pl/}man8}

install traceroute $RPM_BUILD_ROOT%{_sbindir}
install traceroute.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man8/traceroute.8

gzip -9nf CHANGES README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(4754,root,adm) %{_sbindir}/traceroute
%{_mandir}/man8/*
%lang(pl) %{_mandir}/pl/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: traceroute.spec,v $
Revision 1.20  2002/02/27 04:30:04  kloczek
- merge translatins from KSI.

Revision 1.19  2002/02/24 07:22:58  qrczak
- Use * as filename for man pages, so it works no matter how they are
  compressed.
- Release 4.

Revision 1.18  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/05 19:33:01  gotar
- Obsoletes: traceroute-nanog,
- fixed naming polish manpage.

Revision 1.16  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/01 16:22:25  kloczek
- added -DUSE_KERNEL_ROUTING_TABLE to CFLAGS.

Revision 1.14  2001/12/01 13:59:40  ankry
- typo in source1

Revision 1.13  2001/11/26 08:09:48  ankry
- added pl man page
- release 3

Revision 1.12  2001/08/15 18:16:34  kloczek
- release 2: merge all known translation (from old bero spec and from cnv).

Revision 1.11  2001/08/15 15:32:04  qboosh
- acfix patch for ac 2.5x
- fix patch is out (obsolete)
- rewritten old autoroute* and aliases patches into new autoroute patch
  (they were patching the same fragments)
- droproot patch NOT updated - "privileged part" is too options-dependent
- integrated message changes from lsrr patch into segfix patch
- llan* patch is out - lsrr patch changed the same fragment
- updated lsrr patch

Revision 1.10  2001/08/12 14:03:39  blues
- 1.4a12
- patches updated and a bit cleaned up
- configure2_13
NOTE: all the patches are dirty - one is patching another. Thats why 2 are
out. 3 are to further correction.

Revision 1.9  2001/08/09 22:56:11  blues
- exotic translations

Revision 1.8  2001/08/09 22:06:52  agaran
s/configure/configure2_13/ (ac/am stuff is weird..aclocal/autoconf regen dont helped)

Revision 1.7  2001/06/27 08:01:04  kloczek
- use adm group instead icmp on suid traceroute binary.

Revision 1.6  2001/06/25 19:14:19  qboosh
- fixed Group, new automation, binary perms 4754 root.icmp
- added aliases,autoroute2,bigpacklen,droproot,llan*,lsrr,sourceroute,unaligned
  patches from RH
- release 26

Revision 1.5  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/12/08 14:28:55  cieciwa
- fixes install procedure,
- added gzippeg manual,
- fixes file location, (compilant with FHS 2.0).

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 14)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- patch added to automatically determine interface to route through

* Fri Jan 22 1999 Jeff Johnson <jbj@redhat.com>
- use %configure
- fix 64 bit problem on alpha (#919)

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- configure fix for arm

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 16 1997 Cristian Gafton <gafton@redhat.com>
- updated the security patch (ouch!). Without the glibc fix, it could be
  worthless anyway

* Sat Dec 13 1997 Cristian Gafton <gafton@redhat.com>
- added a security patch fix

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added fix from Christopher Seawood

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to 1.4a5 for security fixes; release 1 is for RH 4.2, release 2
  is against glibc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
